StandardizationRule (CMDB Model API)
Keywords: com.collation.platform.model.standardization.StandardizationRule interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.standardization
Interface StandardizationRule

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface StandardizationRule

extends ModelObject

Naming Rules:
  0="allowableValue,replacementValue"
Persistable:
  true
Table Name:
  STDZ_RULE
Display Name:
  allowableValue,replacementValue

Method Summary
`java.lang.String` | `getAllowableValue()` AllowableValue methods
`java.lang.String` | `getReplacementValue()` ReplacementValue methods
`boolean` | `hasAllowableValue()`
`boolean` | `hasReplacementValue()`
`void` | `setAllowableValue(java.lang.String allowableValue)`
`void` | `setReplacementValue(java.lang.String replacementValue)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getAllowableValue

    java.lang.String getAllowableValue()
                                       throws AttributeNotSetException

  AllowableValue methods

  Throws:
    `AttributeNotSetException`

### setAllowableValue

    void setAllowableValue(java.lang.String allowableValue)

### hasAllowableValue

    boolean hasAllowableValue()

### getReplacementValue

    java.lang.String getReplacementValue()
                                         throws AttributeNotSetException

  ReplacementValue methods

  Throws:
    `AttributeNotSetException`

### setReplacementValue

    void setReplacementValue(java.lang.String replacementValue)

### hasReplacementValue

    boolean hasReplacementValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD